# Class: ROI

## roi.ROI(options)

A region of interest (ROI)

## Constructor

#### new ROI(options)

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | Options for construction of ROI ###### Properties
Name | Type | Description
--- | --- | ---
`scoord3d` | scoord3d.Scoord3D | Spatial 3D coordinates
`uid` | string | Unique idenfifier
`properties` | Object | Properties (name-value pairs)

Source:
  - roi.js, line 13

### Members

#### evaluations :Array.<Object>

Qualitative evaluations of region of interest.

##### Type:

- Array.<Object>

Source:
  - roi.js, line 96

#### measurements :Array.<Object>

Measurements of region of interest.

##### Type:

- Array.<Object>

Source:
  - roi.js, line 87

#### properties :Object

Properties of region of interest.

##### Type:

- Object

Source:
  - roi.js, line 78

#### scoord3d :scoord3d.Scoord3D

Spatial coordinates of region of interest.

##### Type:

- scoord3d.Scoord3D

Source:
  - roi.js, line 69

#### uid :string

Unique identifier of region of interest.

##### Type:

- string

Source:
  - roi.js, line 60

### Methods

#### addEvaluation(item)

Add a qualitative evaluation.

##### Parameters:

Name | Type | Description
--- | --- | ---
`item` | Object | CODE content item representing a qualitative evaluation

Source:
  - roi.js, line 114

#### addMeasurement(item)

Add a measurement.

##### Parameters:

Name | Type | Description
--- | --- | ---
`item` | Object | NUM content item representing a measurement

Source:
  - roi.js, line 105